Browse Source

gief nvim back in tvim, also prettier truecolortest.awk

master
Von Random 11 months ago
parent
commit
90c59f9b21
2 changed files with 2 additions and 3 deletions
  1. 1
    1
      truecolortest.awk
  2. 1
    2
      tvim

+ 1
- 1
truecolortest.awk View File

@@ -2,7 +2,7 @@
2 2
 # a simple script to test 24 bit compatibility in a terminal
3 3
 # source: https://gist.github.com/XVilka/8346728
4 4
 BEGIN{
5
-    s="/\\/\\/\\/\\/\\"; s=s s s s s s s s;
5
+    s="▀▀▀▀▀▀▀▀▀▀"; s=s s s s s s s s;
6 6
     for (colnum = 0; colnum<77; colnum++) {
7 7
         r = 255-(colnum*255/76);
8 8
         g = (colnum*510/76);

+ 1
- 2
tvim View File

@@ -1,7 +1,6 @@
1 1
 #!/usr/bin/env bash
2 2
 typeset -a vimopt=(
3 3
     '--cmd' 'let g:tvim = 1'
4
-    # '--cmd' "set tgc title titlestring=[%F]%m\\ -\\ TVIM"
5 4
     '-c' 'set mouse=a'
6 5
 )
7 6
 
@@ -11,6 +10,6 @@ error() {
11 10
 }
12 11
 
13 12
 termbin=$(command -v st) || termbin=$(command -v xterm) || error "No terminal found!"
14
-vimbin=$(command -v vim) || error "No vim binary found!"
13
+vimbin=$(command -v nvim) || vimbin=$(command -v vim) || error "No vim binary found!"
15 14
 
16 15
 exec "$termbin" -c tvim -e "$vimbin" "${vimopt[@]}" "$@" &>/dev/null & disown

Loading…
Cancel
Save